// CoopCustomizerDlg.cpp : implementation file
//

#include "stdafx.h"
#include "CoopCustomizer.h"
#include "CoopCustomizerDlg.h"
#include "CoopData.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCoopCustomizerDlg dialog

CCoopCustomizerDlg::CCoopCustomizerDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CCoopCustomizerDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCoopCustomizerDlg)
	m_battleship = FALSE;
	m_carrier = FALSE;
	m_destroyer = FALSE;
	m_dreadnought = FALSE;
	m_bpvratio = 0.0f;
	m_federation = FALSE;
	m_frigate = FALSE;
	m_heavy_battlecruiser = FALSE;
	m_heavy_cruiser = FALSE;
	m_light_cruiser = FALSE;
	m_new_heavy_cruiser = FALSE;
	m_war_destroyer = FALSE;
	m_gorn = FALSE;
	m_hydran = FALSE;
	m_isc = FALSE;
	m_klingon = FALSE;
	m_lyran = FALSE;
	m_mirak = FALSE;
	m_monster = FALSE;
	m_orion = FALSE;
	m_romulan = FALSE;
	m_race_use = _T("");
	m_ai_intel = -1;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CCoopCustomizerDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCoopCustomizerDlg)
	DDX_Control(pDX, IDC_SLIDER, m_slider);
	DDX_Check(pDX, IDC_BATTLESHIP, m_battleship);
	DDX_Check(pDX, IDC_CARRIER, m_carrier);
	DDX_Check(pDX, IDC_DESTROYER, m_destroyer);
	DDX_Check(pDX, IDC_DREADNOUGHT, m_dreadnought);
	DDX_Text(pDX, IDC_ENEMYRATIO, m_bpvratio);
	DDX_Check(pDX, IDC_FEDERATION, m_federation);
	DDX_Check(pDX, IDC_FRIGATE, m_frigate);
	DDX_Check(pDX, IDC_HEAVYBATTLECRUISER, m_heavy_battlecruiser);
	DDX_Check(pDX, IDC_HEAVYCRUISER, m_heavy_cruiser);
	DDX_Check(pDX, IDC_LIGHTCRUISER, m_light_cruiser);
	DDX_Check(pDX, IDC_NEWHEAVYCRUISER, m_new_heavy_cruiser);
	DDX_Check(pDX, IDC_WARDESTROYER, m_war_destroyer);
	DDX_Check(pDX, IDC_GORN, m_gorn);
	DDX_Check(pDX, IDC_HYDRAN, m_hydran);
	DDX_Check(pDX, IDC_ISC, m_isc);
	DDX_Check(pDX, IDC_KLINGON, m_klingon);
	DDX_Check(pDX, IDC_LYRAN, m_lyran);
	DDX_Check(pDX, IDC_MIRAK, m_mirak);
	DDX_Check(pDX, IDC_MONSTER, m_monster);
	DDX_Check(pDX, IDC_ORION, m_orion);
	DDX_Check(pDX, IDC_ROMULAN, m_romulan);
	DDX_CBString(pDX, IDC_RACEUSE, m_race_use);
	DDX_CBIndex(pDX, IDC_AI_INTEL, m_ai_intel);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CCoopCustomizerDlg, CDialog)
	//{{AFX_MSG_MAP(CCoopCustomizerDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_DEFAULTS, OnDefaults)
	ON_CBN_SELCHANGE(IDC_RACEUSE, OnSelchangeRaceuse)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER, OnReleasedcaptureSlider)
	ON_WM_HSCROLL()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCoopCustomizerDlg message handlers

BOOL CCoopCustomizerDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

	m_slider.SetRange(-50, 100);	// 0.50 through 2.00, starting at 1.00
	m_slider.SetLineSize(1);
	m_slider.SetPageSize(10);

	if (!gCoopData.Load())
	{
		char err[256];
		sprintf(err, "Error reading from scripts.ini; code %d.", GetLastError());
		MessageBox(err);
		return FALSE;
	}

	m_bpvratio = gCoopData.mGetEnemyBPVRatio();
	int pos = (m_bpvratio * 100) - 100;
	m_slider.SetPos(pos);
	m_slider.SetRange(-50, 100, TRUE);	// 0.50 through 2.00, starting at 1.00
	
	m_battleship = gCoopData.mIsShipClassSelected(kClassBattleship);
	m_carrier = gCoopData.mIsShipClassSelected(kClassCarrier);
	m_destroyer = gCoopData.mIsShipClassSelected(kClassDestroyer);
	m_dreadnought = gCoopData.mIsShipClassSelected(kClassDreadnought);
	m_frigate = gCoopData.mIsShipClassSelected(kClassFrigate);
	m_heavy_battlecruiser = gCoopData.mIsShipClassSelected(kClassHeavyBattlecruiser);
	m_heavy_cruiser = gCoopData.mIsShipClassSelected(kClassHeavyCruiser);
	m_light_cruiser = gCoopData.mIsShipClassSelected(kClassLightCruiser);
	m_new_heavy_cruiser = gCoopData.mIsShipClassSelected(kClassNewHeavyCruiser);
	m_war_destroyer = gCoopData.mIsShipClassSelected(kClassWarDestroyer);

	m_federation = gCoopData.mIsRaceSelected(kFederation);
	m_gorn = gCoopData.mIsRaceSelected(kGorn);
	m_hydran = gCoopData.mIsRaceSelected(kHydran);
	m_isc = gCoopData.mIsRaceSelected(kISC);
	m_klingon = gCoopData.mIsRaceSelected(kKlingon);
	m_lyran = gCoopData.mIsRaceSelected(kLyran);
	m_mirak = gCoopData.mIsRaceSelected(kMirak);
	m_monster = gCoopData.mIsRaceSelected(kMonster);
	m_orion = gCoopData.mIsRaceSelected(kOrion);
	m_romulan = gCoopData.mIsRaceSelected(kRomulan);

	if (gCoopData.mIsRaceRandom())
		m_race_use = _T("Random");
	else
		m_race_use = _T("Selected");

	/*
	 * Handle AI Intelligence
	 */
	
	m_ai_intel = gCoopData.mGetAIIntel();

	UpdateData(FALSE);		// push
	OnSelchangeRaceuse();
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CCoopCustomizerDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CCoopCustomizerDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CCoopCustomizerDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CCoopCustomizerDlg::OnDefaults() 
{
	// TODO: Add your control notification handler code here
	
	m_bpvratio = 1.1f;
	m_ai_intel = 1;				// Commodore
	m_slider.SetPos(10);
	m_race_use = "Random";

	m_battleship = TRUE;
	m_carrier = TRUE;
	m_destroyer = TRUE;
	m_dreadnought = TRUE;
	m_frigate = TRUE;
	m_heavy_battlecruiser = TRUE;
	m_heavy_cruiser = TRUE;
	m_light_cruiser = TRUE;
	m_new_heavy_cruiser = TRUE;
	m_war_destroyer = TRUE;

	m_gorn = FALSE;
	m_hydran = FALSE;
	m_isc = FALSE;
	m_klingon = FALSE;
	m_lyran = FALSE;
	m_mirak = FALSE;
	m_monster = FALSE;
	m_orion = FALSE;
	m_romulan = FALSE;
	m_federation = FALSE;

	UpdateData(FALSE);		// push data to dialog
	OnSelchangeRaceuse();
}


void CCoopCustomizerDlg::OnSelchangeRaceuse() 
{
	// TODO: Add your control notification handler code here
	
	UpdateData(TRUE);

	GetDlgItem(IDC_FEDERATION)->EnableWindow(m_race_use != "Random");
	GetDlgItem(IDC_KLINGON)->EnableWindow(m_race_use != "Random");
	GetDlgItem(IDC_ROMULAN)->EnableWindow(m_race_use != "Random");
	GetDlgItem(IDC_GORN)->EnableWindow(m_race_use != "Random");
	GetDlgItem(IDC_LYRAN)->EnableWindow(m_race_use != "Random");
	GetDlgItem(IDC_HYDRAN)->EnableWindow(m_race_use != "Random");
	GetDlgItem(IDC_MIRAK)->EnableWindow(m_race_use != "Random");
	GetDlgItem(IDC_ISC)->EnableWindow(m_race_use != "Random");
	GetDlgItem(IDC_ORION)->EnableWindow(m_race_use != "Random");
	GetDlgItem(IDC_MONSTER)->EnableWindow(m_race_use != "Random");
}

void CCoopCustomizerDlg::OnOK() 
{
	// TODO: Add extra validation here
	
	UpdateData(TRUE);

	gCoopData.mSetEnemyBPVRatio(m_bpvratio);
	gCoopData.mResetRaceSelections();
	if (m_race_use == "Selected")
	{
		if (m_federation) gCoopData.mSetRaceSelected(kFederation);
		if (m_gorn) gCoopData.mSetRaceSelected(kGorn);
		if (m_hydran) gCoopData.mSetRaceSelected(kHydran);
		if (m_isc) gCoopData.mSetRaceSelected(kISC);
		if (m_klingon) gCoopData.mSetRaceSelected(kKlingon);
		if (m_lyran) gCoopData.mSetRaceSelected(kLyran);
		if (m_mirak) gCoopData.mSetRaceSelected(kMirak);
		if (m_monster) gCoopData.mSetRaceSelected(kMonster);
		if (m_orion) gCoopData.mSetRaceSelected(kOrion);
		if (m_romulan) gCoopData.mSetRaceSelected(kRomulan);
	}

	gCoopData.mResetShipClassSelections();
	if (m_battleship) gCoopData.mSetShipClassSelected(kClassBattleship);
	if (m_carrier) gCoopData.mSetShipClassSelected(kClassCarrier);
	if (m_destroyer) gCoopData.mSetShipClassSelected(kClassDestroyer);
	if (m_dreadnought) gCoopData.mSetShipClassSelected(kClassDreadnought);
	if (m_frigate) gCoopData.mSetShipClassSelected(kClassFrigate);
	if (m_heavy_battlecruiser) gCoopData.mSetShipClassSelected(kClassHeavyBattlecruiser);
	if (m_heavy_cruiser) gCoopData.mSetShipClassSelected(kClassHeavyCruiser);
	if (m_light_cruiser) gCoopData.mSetShipClassSelected(kClassLightCruiser);
	if (m_new_heavy_cruiser) gCoopData.mSetShipClassSelected(kClassNewHeavyCruiser);
	if (m_war_destroyer) gCoopData.mSetShipClassSelected(kClassWarDestroyer);

	//
	// Also handle the AI
	//

	gCoopData.mSetAIIntel(m_ai_intel);
	
	if (!gCoopData.Save())
	{
		char err[256];
		sprintf(err, "Error saving to scripts.ini; code %d.", GetLastError());
		MessageBox(err);
	}

	CDialog::OnOK();
}

void CCoopCustomizerDlg::OnReleasedcaptureSlider(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	
	*pResult = 0;
}

void CCoopCustomizerDlg::OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
	// TODO: Add your message handler code here and/or call default

	CSliderCtrl *	slider = (CSliderCtrl *)pScrollBar;
	UpdateData(TRUE);

	INT pos = (INT)nPos;

	switch (nSBCode)
	{
		case SB_LEFT:		m_bpvratio = 0.5f; break;
		case SB_LINELEFT:	m_bpvratio -= 0.01f; if (m_bpvratio < 0.50f) m_bpvratio = 0.50f; break;
		case SB_LINERIGHT:	m_bpvratio += 0.01f; if (m_bpvratio > 2.00f) m_bpvratio = 2.00f; break;
		case SB_PAGELEFT:	m_bpvratio -= 0.1f; if (m_bpvratio < 0.50f) m_bpvratio = 0.50f; break;
		case SB_PAGERIGHT:	m_bpvratio += 0.1f; if (m_bpvratio > 2.00f) m_bpvratio = 2.00f; break;
		case SB_RIGHT:		m_bpvratio = 2.00f; break;

		case SB_THUMBPOSITION:
		case SB_THUMBTRACK:		m_bpvratio = 1.00f + ((float)pos / 100.0f);
								break;
	}

	UpdateData(FALSE);

//	CDialog::OnHScroll(nSBCode, nPos, pScrollBar);
}
