/********************************************************************************************************\

	File Name:	Team1BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Team1BaseState.h"
#include "WorldConditions.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tTeam1BaseState::mBeginState()
{
	mSetTimedInterval(kTimerSecondsSet, 5, 5.0f);
}
void tTeam1BaseState::mEndState()
{}

void tTeam1BaseState::mOnDeath( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam1) gWC.mSetShipDestroyed(kTeam1, ship->mGetClassName(), ship->mGetCustomName()); }
void tTeam1BaseState::mOnCapture( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam1) gWC.mSetShipCaptured(kTeam1, ship->mGetClassName(), ship->mGetCustomName()); }
void tTeam1BaseState::mOnDisengaged( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam1) gWC.mSetShipDisengaged(kTeam1, ship->mGetClassName(), ship->mGetCustomName(), 100.0f - ship->mGetDamagePercent()); }
void tTeam1BaseState::mAtDistance( tShipInfo* ship )
{}
void tTeam1BaseState::mAtDestination( tShipInfo* ship )
{}
void tTeam1BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTeam1BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTeam1BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTeam1BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTeam1BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTeam1BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTeam1BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTeam1BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam1BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam1BaseState::mOnFlashingButtonPressed()
{}
void tTeam1BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTeam1BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTeam1BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTeam1BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tTeam1BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tTeam1BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tTeam1BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tTeam1BaseState::mOnPlayerLeaving( int playerNumber )
{}
void tTeam1BaseState::mOnHostChanged()
{}
void tTeam1BaseState::mOnTimedInterval( int32 timerID )
{
	char buf[512];
	sprintf(buf, "MagnumMan's Sector Assault for SFC:OP\n(C) 2001 James E. King, III");

	for (int k = (int)kTeam1; k <= (int)kTeam6; k++)
	{
		fMissionInfo->mDisplayMessage((eTeamID)k, " ");
		fMissionInfo->mDisplayMessage((eTeamID)k, buf);
	}

	gWC.mCheckForGameEnd();		// in case no enemies were generated
}
void tTeam1BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTeam1BaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}




