/********************************************************************************************************\

	File Name:	Team1BaseVictory.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/
#include "tclient.h"
#include "ScriptInterface.h"
#include "Team1BaseVictory.h"
#include "Team1BaseVictoryState.h"


tClassAllocator<tTeam1BaseVictory> gTeam1BaseVictoryAllocator;

/*

	HELPER NOTE:	You must remember to initialize all of your victory attributes here.  For example:

	tTeam1BaseVictory::tTeam1BaseVictory( ) : fField1( false ), fField2( value ), fField3 ( value ), etc...
	{}

*/
tTeam1BaseVictory::tTeam1BaseVictory()
{}
tTeam1BaseVictory::tTeam1BaseVictory( tTeamInfo* team ): tVictoryCondition( team )
{}

/*

	HELPER NOTE:	Really, the only item in this function that you could change are the values passed into
					the tTeam1BaseVictoryState constructor.  These values are the prestige points awarded according
					to the player's victory status -- starting at kAstoundingVictory and working its way down
					to kDevastatingDefeat.

*/
void tTeam1BaseVictory::mSetupState()
{
	tTeam1BaseVictoryState* team1BaseVictoryState = new tTeam1BaseVictoryState( 100 , 100 , 0 , 0 , 0 );
	mRegisterState( team1BaseVictoryState );
	mGotoState( typeid( tTeam1BaseVictoryState ) );
}

/*

	HELPER NOTE:	The following is simply an example of setting and modifying the current victory condition
					objectives if the world conditions do not appear useful in this specific script.

	bool
	tTeam1BaseVictory::mField1( void )
	{
		return fField1;
	}
	void
	tTeam1BaseVictory::mSetField1( bool x )
	{
		fField1 = x;
	}

*/


