/********************************************************************************************************\

	File Name:	Team2BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Team2BaseState.h"
#include "WorldConditions.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tTeam2BaseState::mBeginState()
{}
void tTeam2BaseState::mEndState()
{}

void tTeam2BaseState::mOnDeath( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam2) gWC.mSetShipDestroyed(kTeam2, ship->mGetClassName(), ship->mGetCustomName()); }
void tTeam2BaseState::mOnCapture( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam2) gWC.mSetShipCaptured(kTeam2, ship->mGetClassName(), ship->mGetCustomName()); }
void tTeam2BaseState::mOnDisengaged( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam2) gWC.mSetShipDisengaged(kTeam2, ship->mGetClassName(), ship->mGetCustomName(), 100.0f - ship->mGetDamagePercent()); }
void tTeam2BaseState::mAtDistance( tShipInfo* ship )
{}
void tTeam2BaseState::mAtDestination( tShipInfo* ship )
{}
void tTeam2BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTeam2BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTeam2BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTeam2BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTeam2BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTeam2BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTeam2BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTeam2BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam2BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam2BaseState::mOnFlashingButtonPressed()
{}
void tTeam2BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTeam2BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTeam2BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTeam2BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tTeam2BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tTeam2BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tTeam2BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tTeam2BaseState::mOnPlayerLeaving( int playerNumber )
{}
void tTeam2BaseState::mOnHostChanged()
{}
void tTeam2BaseState::mOnTimedInterval( int32 timerID )
{}
void tTeam2BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTeam2BaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}




