/********************************************************************************************************\

	File Name:	Team3BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Team3BaseState.h"
#include "WorldConditions.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tTeam3BaseState::mBeginState()
{}
void tTeam3BaseState::mEndState()
{}

void tTeam3BaseState::mOnDeath( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam3) gWC.mSetShipDestroyed(kTeam3, ship->mGetClassName(), ship->mGetCustomName()); }
void tTeam3BaseState::mOnCapture( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam3) gWC.mSetShipCaptured(kTeam3, ship->mGetClassName(), ship->mGetCustomName()); }
void tTeam3BaseState::mOnDisengaged( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam3) gWC.mSetShipDisengaged(kTeam3, ship->mGetClassName(), ship->mGetCustomName(), 100.0f - ship->mGetDamagePercent()); }
void tTeam3BaseState::mAtDistance( tShipInfo* ship )
{}
void tTeam3BaseState::mAtDestination( tShipInfo* ship )
{}
void tTeam3BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTeam3BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTeam3BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTeam3BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTeam3BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTeam3BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTeam3BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTeam3BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam3BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam3BaseState::mOnFlashingButtonPressed()
{}
void tTeam3BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTeam3BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTeam3BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTeam3BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tTeam3BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tTeam3BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tTeam3BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tTeam3BaseState::mOnPlayerLeaving( int playerNumber )
{}
void tTeam3BaseState::mOnHostChanged()
{}
void tTeam3BaseState::mOnTimedInterval( int32 timerID )
{}
void tTeam3BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTeam3BaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}




