/********************************************************************************************************\

	File Name:	Team4BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Team4BaseState.h"
#include "WorldConditions.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tTeam4BaseState::mBeginState()
{}
void tTeam4BaseState::mEndState()
{}

void tTeam4BaseState::mOnDeath( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam4) gWC.mSetShipDestroyed(kTeam4, ship->mGetClassName(), ship->mGetCustomName()); }
void tTeam4BaseState::mOnCapture( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam4) gWC.mSetShipCaptured(kTeam4, ship->mGetClassName(), ship->mGetCustomName()); }
void tTeam4BaseState::mOnDisengaged( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam4) gWC.mSetShipDisengaged(kTeam4, ship->mGetClassName(), ship->mGetCustomName(), 100.0f - ship->mGetDamagePercent()); }
void tTeam4BaseState::mAtDistance( tShipInfo* ship )
{}
void tTeam4BaseState::mAtDestination( tShipInfo* ship )
{}
void tTeam4BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTeam4BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTeam4BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTeam4BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTeam4BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTeam4BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTeam4BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTeam4BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam4BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam4BaseState::mOnFlashingButtonPressed()
{}
void tTeam4BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTeam4BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTeam4BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTeam4BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tTeam4BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tTeam4BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tTeam4BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tTeam4BaseState::mOnPlayerLeaving( int playerNumber )
{}
void tTeam4BaseState::mOnHostChanged()
{}
void tTeam4BaseState::mOnTimedInterval( int32 timerID )
{}
void tTeam4BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTeam4BaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}




