/********************************************************************************************************\

	File Name:	Team4BaseVictory.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/
#include "tclient.h"
#include "ScriptInterface.h"
#include "Team4BaseVictory.h"
#include "Team4BaseVictoryState.h"


tClassAllocator<tTeam4BaseVictory> gTeam4BaseVictoryAllocator;

/*

	HELPER NOTE:	You must remember to initialize all of your victory attributes here.  For example:

	tTeam4BaseVictory::tTeam4BaseVictory( ) : fField1( false ), fField2( value ), fField3( value ), etc...
	{}

*/
tTeam4BaseVictory::tTeam4BaseVictory()
{}
tTeam4BaseVictory::tTeam4BaseVictory( tTeamInfo* team ) : tVictoryCondition( team )
{}

/*

	HELPER NOTE:	Really, the only item in this function that you could change are the values passed into
					the tTeam4BaseVictoryState constructor.  These values are the prestige points awarded according
					to the player's victory status -- starting at kAstoundingVictory and working its way down
					to kDevastatingDefeat.

*/
void tTeam4BaseVictory::mSetupState()
{
	tTeam4BaseVictoryState* team4BaseVictoryState = new tTeam4BaseVictoryState( 100 , 100 , 0 , 0 , 0 );
	mRegisterState( team4BaseVictoryState );
	mGotoState( typeid( tTeam4BaseVictoryState ) );
}

/*

	HELPER NOTE:	The following is simply an example of setting and modifying the current victory condition
					objectives if the world conditions do not appear useful in this specific script.

	bool
	tTeam4BaseVictory::mField1( void )
	{
		return fField1;
	}
	void
	tTeam4BaseVictory::mSetField1( bool x )
	{
		fField1 = x;
	}

*/


