/********************************************************************************************************\

	File Name:	Team5BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Team5BaseState.h"
#include "WorldConditions.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tTeam5BaseState::mBeginState()
{}
void tTeam5BaseState::mEndState()
{}

void tTeam5BaseState::mOnDeath( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam5) gWC.mSetShipDestroyed(kTeam5, ship->mGetClassName(), ship->mGetCustomName()); }
void tTeam5BaseState::mOnCapture( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam5) gWC.mSetShipCaptured(kTeam5, ship->mGetClassName(), ship->mGetCustomName()); }
void tTeam5BaseState::mOnDisengaged( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam5) gWC.mSetShipDisengaged(kTeam5, ship->mGetClassName(), ship->mGetCustomName(), 100.0f - ship->mGetDamagePercent()); }
void tTeam5BaseState::mAtDistance( tShipInfo* ship )
{}
void tTeam5BaseState::mAtDestination( tShipInfo* ship )
{}
void tTeam5BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTeam5BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTeam5BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTeam5BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTeam5BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTeam5BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTeam5BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTeam5BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam5BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam5BaseState::mOnFlashingButtonPressed()
{}
void tTeam5BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTeam5BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTeam5BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTeam5BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tTeam5BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tTeam5BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tTeam5BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tTeam5BaseState::mOnPlayerLeaving( int playerNumber )
{}
void tTeam5BaseState::mOnHostChanged()
{}
void tTeam5BaseState::mOnTimedInterval( int32 timerID )
{}
void tTeam5BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTeam5BaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}




