/********************************************************************************************************\

	File Name:	Team6BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Team6BaseState.h"
#include "WorldConditions.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tTeam6BaseState::mBeginState()
{}
void tTeam6BaseState::mEndState()
{}

void tTeam6BaseState::mOnDeath( tShipInfo* ship )
{ /* char buf[256]; sprintf(buf, "Team 6: mOnDeath: Team %d; Type %s; Name %s", ship->mGetTeam(), ship->mGetClassName(), ship->mGetCustomName()); fMissionInfo->mDebugMessage(buf); */ if (ship->mGetTeam() == kTeam6) gWC.mSetShipDestroyed(kTeam6, ship->mGetClassName(), ship->mGetCustomName()); }
void tTeam6BaseState::mOnCapture( tShipInfo* ship )
{ /* char buf[256]; sprintf(buf, "Team 6: mOnCapture: Team %d; Type %s; Name %s", ship->mGetTeam(), ship->mGetClassName(), ship->mGetCustomName()); fMissionInfo->mDebugMessage(buf); */ if (ship->mGetTeam() == kTeam6) gWC.mSetShipCaptured(kTeam6, ship->mGetClassName(), ship->mGetCustomName()); }
void tTeam6BaseState::mOnDisengaged( tShipInfo* ship )
{ /* char buf[256]; sprintf(buf, "Team 6: mOnDisengaged: Team %d; Type %s; Name %s", ship->mGetTeam(), ship->mGetClassName(), ship->mGetCustomName()); fMissionInfo->mDebugMessage(buf); */ if (ship->mGetTeam() == kTeam6) gWC.mSetShipDisengaged(kTeam6, ship->mGetClassName(), ship->mGetCustomName(), 100.0f - ship->mGetDamagePercent()); }
void tTeam6BaseState::mAtDistance( tShipInfo* ship )
{}
void tTeam6BaseState::mAtDestination( tShipInfo* ship )
{}
void tTeam6BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTeam6BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTeam6BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTeam6BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTeam6BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTeam6BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTeam6BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTeam6BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam6BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam6BaseState::mOnFlashingButtonPressed()
{}
void tTeam6BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTeam6BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTeam6BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTeam6BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tTeam6BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tTeam6BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tTeam6BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tTeam6BaseState::mOnPlayerLeaving( int playerNumber )
{}
void tTeam6BaseState::mOnHostChanged()
{}
void tTeam6BaseState::mOnTimedInterval( int32 timerID )
{}
void tTeam6BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTeam6BaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}




