/********************************************************************************************************\

	File Name:	Team2.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Team2_h )
#define Team2_h

#include "TeamInfo.h"


class tTeam2 : public tTeamInfo
{
public:

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

	enum eCustomIDs
	{
		kPlayerNPC1,
		kPlayerNPC2,
	};

*/
	enum eCustomIDs
	{
		kShip1 = 200,
		kShip2,
		kShip3,
	};
};

#endif





