/********************************************************************************************************\

	File Name:	Team3BaseVictory.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/
#include "tclient.h"
#include "ScriptInterface.h"
#include "Team3BaseVictory.h"
#include "Team3BaseVictoryState.h"


tClassAllocator<tTeam3BaseVictory> gTeam3BaseVictoryAllocator;

/*

	HELPER NOTE:	You must remember to initialize all of your victory attributes here.  For example:

	tTeam3BaseVictory::tTeam3BaseVictory( ) : fField1( false ), fField2( value ), fField3( value ), etc...
	{}

*/
tTeam3BaseVictory::tTeam3BaseVictory()
{}
tTeam3BaseVictory::tTeam3BaseVictory( tTeamInfo* team ) : tVictoryCondition( team )
{}

/*

	HELPER NOTE:	Really, the only item in this function that you could change are the values passed into
					the tTeam3BaseVictoryState constructor.  These values are the prestige points awarded according
					to the player's victory status -- starting at kAstoundingVictory and working its way down
					to kDevastatingDefeat.

*/
void tTeam3BaseVictory::mSetupState()
{
	tTeam3BaseVictoryState* team3BaseVictoryState = new tTeam3BaseVictoryState( 100 , 100 , 0 , 0 , 0 );
	mRegisterState( team3BaseVictoryState );
	mGotoState( typeid( tTeam3BaseVictoryState ) );
}

/*

	HELPER NOTE:	The following is simply an example of setting and modifying the current victory condition
					objectives if the world conditions do not appear useful in this specific script.

	bool
	tTeam3BaseVictory::mField1( void )
	{
		return fField1;
	}
	void
	tTeam3BaseVictory::mSetField1( bool x )
	{
		fField1 = x;
	}

*/


