/********************************************************************************************************\

	File Name:	Team7BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Team7BaseState.h"
#include "WorldConditions.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.

*/
void tTeam7BaseState::mBeginState()
{}
void tTeam7BaseState::mEndState()
{}

void tTeam7BaseState::mOnDeath( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam7) gWC.mSetShipDestroyed(kTeam7, ship->mGetClassName(), ship->mGetCustomName()); }
void tTeam7BaseState::mOnCapture( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam7) gWC.mSetShipCaptured(kTeam7, ship->mGetClassName(), ship->mGetCustomName()); }
void tTeam7BaseState::mOnDisengaged( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam7) gWC.mSetShipDisengaged(kTeam7, ship->mGetClassName(), ship->mGetCustomName(), 100.0f - ship->mGetDamagePercent()); }
void tTeam7BaseState::mAtDistance( tShipInfo* ship )
{}
void tTeam7BaseState::mAtDestination( tShipInfo* ship )
{}
void tTeam7BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTeam7BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTeam7BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTeam7BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTeam7BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTeam7BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTeam7BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTeam7BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam7BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam7BaseState::mOnFlashingButtonPressed()
{}
void tTeam7BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTeam7BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTeam7BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTeam7BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tTeam7BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tTeam7BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tTeam7BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tTeam7BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tTeam7BaseState::mOnHostChanged()
{}
void tTeam7BaseState::mOnTimedInterval( int32 timerID )
{}
void tTeam7BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTeam7BaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

