/********************************************************************************************************\

	File Name:	Team8BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Team8BaseState.h"
#include "WorldConditions.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.

*/
void tTeam8BaseState::mBeginState()
{}
void tTeam8BaseState::mEndState()
{}

void tTeam8BaseState::mOnDeath( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam8) gWC.mSetShipDestroyed(kTeam8, ship->mGetClassName(), ship->mGetCustomName()); }
void tTeam8BaseState::mOnCapture( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam8) gWC.mSetShipCaptured(kTeam8, ship->mGetClassName(), ship->mGetCustomName()); }
void tTeam8BaseState::mOnDisengaged( tShipInfo* ship )
{ if (ship->mGetTeam() == kTeam8) gWC.mSetShipDisengaged(kTeam8, ship->mGetClassName(), ship->mGetCustomName(), 100.0f - ship->mGetDamagePercent()); }
void tTeam8BaseState::mAtDistance( tShipInfo* ship )
{}
void tTeam8BaseState::mAtDestination( tShipInfo* ship )
{}
void tTeam8BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTeam8BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTeam8BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTeam8BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTeam8BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTeam8BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTeam8BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTeam8BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam8BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam8BaseState::mOnFlashingButtonPressed()
{}
void tTeam8BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTeam8BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTeam8BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTeam8BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tTeam8BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tTeam8BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tTeam8BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tTeam8BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tTeam8BaseState::mOnHostChanged()
{}
void tTeam8BaseState::mOnTimedInterval( int32 timerID )
{}
void tTeam8BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTeam8BaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

